local g=love.graphics
local k=love.keyboard.isDown
local color={255,255,255,255}

img={}
function img:load()
	--walk cycle
	walk_left   = g.newImage('spritesheet/wl.png')		
	walk_right  = g.newImage('spritesheet/wr.png')			
	walk_back   = g.newImage('spritesheet/wb.png')		
	walk_foward = g.newImage('spritesheet/wf.png')	

	wl =newAnimation(walk_left,32,32,0.1,0)
	dir ="left"	
	wr =newAnimation(walk_right,32,32,0.1,0)
	dir ="right"
	wb =newAnimation(walk_back,32,32,0.1,0)
	dir ="back"		
	wf =newAnimation(walk_foward,32,32,0.1,0)
	dir ="foward"
	
	--stand cycle
	stand_left   = g.newImage('spritesheet/sl.png')		
	stand_right  = g.newImage('spritesheet/sr.png')			
	stand_back   = g.newImage('spritesheet/sb.png')		
	stand_foward = g.newImage('spritesheet/sf.png')
	
	sl =newAnimation(stand_left,32,32,0.1,0)
	direction ="left"	
	sr =newAnimation(stand_right,32,32,0.1,0)
	direction ="right"
	sb =newAnimation(stand_back,32,32,0.1,0)
	direction ="back"		
	sf =newAnimation(stand_foward,32,32,0.1,0)
	direction ="foward"
end

function img:update(dt)
	--walk cycle
	if k("a") then wl:update(dt); dir="left"   end
	if k("d") then wr:update(dt); dir="right"  end
	if k("w") then wb:update(dt); dir="back"   end
	if k("s") then wf:update(dt); dir="foward" end
	
	--stand cycle
	if direction =="left"   and  l.direction=="stand" then sl:update(dt) end
	if direction =="right"  and  l.direction=="stand" then sr:update(dt) end
	if direction =="back"   and  l.direction=="stand" then sb:update(dt) end
	if direction =="foward" and  l.direction=="stand"then sf:update(dt)  end
end

function img:draw()
	g.setColor(color)	
	--walk cycle  cell/sprite pos.
	if dir=="left"   then wl:draw(l.x ,l.y) end
	if dir=="right"  then wr:draw(l.x ,l.y) end
	if dir=="back"   then wb:draw(l.x ,l.y) end
	if dir=="foward" then wf:draw(l.x ,l.y) end
	
	--stand cycle
	if direction =="left"   and  l.direction=="stand" then sl:draw(l.x ,l.y) end
	if direction =="right"  and  l.direction=="stand" then sr:draw(l.x ,l.y) end
	if direction =="back"   and  l.direction=="stand"  then sb:draw(l.x ,l.y)end
	if direction =="foward" and  l.direction=="stand" then sf:draw(l.x ,l.y) end
end

function img:keypressed( key, unicode )
end

function img:keyreleased( key, unicode )
	--walk cycle
	if key=="a" then wl =newAnimation(walk_left,32,32,0.1,0);   dir ="left"   end
	if key=="d" then wr =newAnimation(walk_right,32,32,0.1,0);  dir ="right"  end
	if key=="w" then wb =newAnimation(walk_back,32,32,0.1,0);   dir ="back"   end
	if key=="s" then wf =newAnimation(walk_foward,32,32,0.1,0); dir ="foward" end
	
	--stand cycle
	if key=="a"and l.direction== "left"  then sl =newAnimation(stand_left,32,32,0.1,0);   direction ="left"   end
	if key=="d"and l.direction== "right" then sr =newAnimation(stand_right,32,32,0.1,0);  direction ="right"  end
	if key=="w"and l.direction== "up"    then sb =newAnimation(stand_back,32,32,0.1,0);   direction ="back"   end
	if key=="s"and l.direction== "down"  then sf =newAnimation(stand_foward,32,32,0.1,0); direction ="foward" end
end
